#ifndef ZEIT_H
#define ZEIT_H

#include <stdint.h>
#include <sys/time.h>

#define LEN_ZEIT 26

/* Sometimes, another struct is needed, which is
 * struct timespec ts;
 */
typedef struct timeval timeval_t;

uint64_t zeit_now();
char    *zeit_ctime_r(uint64_t n, char buf[LEN_ZEIT]);
char    *zeit_ctime(uint64_t n);
void     zeit_encode(uint64_t n, uint8_t out[8]);
uint64_t zeit_decode(uint8_t out[8]);

#endif
